package de.intevation.flys.artifacts.access;

import de.intevation.flys.artifacts.FLYSArtifact;

import org.apache.log4j.Logger;

public class RiverAccess
extends      Access
{
    private static Logger log = Logger.getLogger(RiverAccess.class);

    protected String river;

    public RiverAccess() {
    }

    public RiverAccess(FLYSArtifact artifact) {
        super(artifact);
    }

    public String getRiver() {
        if (river == null) {
            river = getString("river");
        }
        if (log.isDebugEnabled()) {
            log.debug("river: '" + river + "'");
        }
        return river;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
